ConnectionFinderBuilder Class

class NXOpen.Weld.ConnectionFinderBuilder

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents a builder to display, manage, delete, and allow the user to reparent face information for the weld objects.

New in version NX9.0.0.

Properties

Property Description
Filter Returns or sets the filter values to contol Save All processing.
ListFeatureSet Returns or sets the option to list the search results according to the feature sets that the specified weld point belongs to.
ReassignEdge Returns the edges to use when the reassign button is invoked.
ReassignFace Returns the faces to use when the reassign button is invoked.
Tag Returns the Tag for this object.
UpdateCoordinateSystem Returns or sets the option to update the coordinate system for the node from the obtained reconnection when saved.

Methods

Method Description
CenterNode Adjusts the display of the part and fits the selected weld points in the center of the graphics window.
ClearAllTree Clears the tree list and allows you to perform another search.
ClearMarking Unmarks (removes save or delete mark) the weld feature from processing.
DeleteNode Deletes the connected part information from the results.
GetEdgeNodeCollector Get the edge collector for a specific weld object and index.
GetFaceNodeCollector Get the face collector for a specific weld object and index.
GetFaces Get the face collectors for the given feature set or point depending on the NXOpen.Weld.ConnectionFinderBuilder.ListFeatureSet`().
IsEdgeNodeEmpty Identify if the edge collector for a specific weld object and index has edges assigned to it.
IsFaceNodeEmpty Identify if the face collector for a specific weld object and index has faces assigned to it.
ReassignEdgeNode Reassign the edges from the Reassign Edge collector to the specified node.
ReassignFaceNode Reassign the faces from the Reassign Face collector to the specified node.
ReorderAfterEdgeNode Reorders a selected edge by putting it after the specified edge.
ReorderAfterFaceNode Reorders a selected face by putting it after the specified face.
ReorderBeforeEdgeNode Reorders a selected edge by putting it before the specified edge.
ReorderBeforeFaceNode Reorders a selected face by putting it before the specified face.
RequiredFaceNode Identify if the face node is required (true) or optional (false).
SaveAllTree Identify all the connected part information as saved so the commit will save the information.
SaveNode Identify the connected part information as saved so commit will save the information.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

ConnectionFinderBuilderFilterTypes Enumeration Filter values to control Save All processing.

Property Detail

Filter

ConnectionFinderBuilder.Filter

Returns or sets the filter values to contol Save All processing.

-------------------------------------

Getter Method

Signature Filter

Returns:
Return type:NXOpen.Weld.ConnectionFinderBuilderFilterTypes

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Filter

Parameters:filter (NXOpen.Weld.ConnectionFinderBuilderFilterTypes) –

New in version NX10.0.0.

License requirements: ugweld (“UG WELD”)

ListFeatureSet

ConnectionFinderBuilder.ListFeatureSet

Returns or sets the option to list the search results according to the feature sets that the specified weld point belongs to.

-------------------------------------

Getter Method

Signature ListFeatureSet

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ListFeatureSet

Parameters:listFeatureSet (bool) –

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ReassignEdge

ConnectionFinderBuilder.ReassignEdge

Returns the edges to use when the reassign button is invoked.

-------------------------------------

Getter Method

Signature ReassignEdge

Returns:
Return type:NXOpen.ScCollector

New in version NX9.0.0.

License requirements: None.

ReassignFace

ConnectionFinderBuilder.ReassignFace

Returns the faces to use when the reassign button is invoked.

-------------------------------------

Getter Method

Signature ReassignFace

Returns:
Return type:NXOpen.ScCollector

New in version NX9.0.0.

License requirements: None.

UpdateCoordinateSystem

ConnectionFinderBuilder.UpdateCoordinateSystem

Returns or sets the option to update the coordinate system for the node from the obtained reconnection when saved.

-------------------------------------

Getter Method

Signature UpdateCoordinateSystem

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UpdateCoordinateSystem

Parameters:updateCoordinateSystem (bool) –

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

Method Detail

CenterNode

ConnectionFinderBuilder.CenterNode

Adjusts the display of the part and fits the selected weld points in the center of the graphics window.

Signature CenterNode(nodeTag)

Parameters:nodeTag (NXOpen.NXObject) – Weld Feature.

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ClearAllTree

ConnectionFinderBuilder.ClearAllTree

Clears the tree list and allows you to perform another search.

Signature ClearAllTree()

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ClearMarking

ConnectionFinderBuilder.ClearMarking

Unmarks (removes save or delete mark) the weld feature from processing.

Signature ClearMarking(nodeTag)

Parameters:nodeTag (NXOpen.NXObject) – Weld Feature.

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

DeleteNode

ConnectionFinderBuilder.DeleteNode

Deletes the connected part information from the results.

Signature DeleteNode(nodeTag)

Parameters:nodeTag (NXOpen.NXObject) – Weld Feature

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

GetEdgeNodeCollector

ConnectionFinderBuilder.GetEdgeNodeCollector

Get the edge collector for a specific weld object and index.

This is useful when the edge node for the object is empty and you need to populate it. Search will be limited by the list feature set setting.

Signature GetEdgeNodeCollector(weldObject, edgeNodeIndex)

Parameters:
  • weldObject (NXOpen.NXObject) – Specific weld feature set or point to search for.
  • edgeNodeIndex (int) – Specific position index to look for in the weld object.
Returns:

Can return None if not found.

Return type:

NXOpen.ScCollector

New in version NX9.0.0.

License requirements: None.

GetFaceNodeCollector

ConnectionFinderBuilder.GetFaceNodeCollector

Get the face collector for a specific weld object and index.

This is useful when the face node for the object is empty and you need to populate it. Search will be limited by the list feature set setting.

Signature GetFaceNodeCollector(weldObject, faceNodeIndex)

Parameters:
  • weldObject (NXOpen.NXObject) – Specific weld feature set or point to search for.
  • faceNodeIndex (int) – Specific position index to look for in the weld object.
Returns:

Can return None if not found.

Return type:

NXOpen.ScCollector

New in version NX9.0.0.

License requirements: None.

GetFaces

ConnectionFinderBuilder.GetFaces

Get the face collectors for the given feature set or point depending on the NXOpen.Weld.ConnectionFinderBuilder.ListFeatureSet`().

Signature GetFaces(weldObject)

Parameters:weldObject (NXOpen.NXObject) – Specific weld feature set or point to search for.
Returns:Face Collectors.
Return type:list of NXOpen.ScCollector

New in version NX10.0.2.

License requirements: None.

IsEdgeNodeEmpty

ConnectionFinderBuilder.IsEdgeNodeEmpty

Identify if the edge collector for a specific weld object and index has edges assigned to it.

Search will be limited by the list feature set setting. An error will be returned if the edge node cannot be found or the collector is missing.

Signature IsEdgeNodeEmpty(weldObject, edgeNodeIndex)

Parameters:
  • weldObject (NXOpen.NXObject) – Specific weld feature set or point to search for.
  • edgeNodeIndex (int) – Specific position index to look for in the weld object.
Returns:

Return type:

bool

New in version NX9.0.0.

License requirements: None.

IsFaceNodeEmpty

ConnectionFinderBuilder.IsFaceNodeEmpty

Identify if the face collector for a specific weld object and index has faces assigned to it.

Search will be limited by the list feature set setting. An error will be returned if the face node cannot be found or the collector is missing.

Signature IsFaceNodeEmpty(weldObject, faceNodeIndex)

Parameters:
  • weldObject (NXOpen.NXObject) – Specific weld feature set or point to search for.
  • faceNodeIndex (int) – Specific position index to look for in the weld object.
Returns:

Return type:

bool

New in version NX9.0.0.

License requirements: None.

ReassignEdgeNode

ConnectionFinderBuilder.ReassignEdgeNode

Reassign the edges from the Reassign Edge collector to the specified node.

Signature ReassignEdgeNode(ownerTag, nodeTag)

Parameters:
  • ownerTag (NXOpen.NXObject) – Weld Feature Set or Feature Point.
  • nodeTag (NXOpen.NXObject) – Edge, or collector, identify which edges to modify in set or point.

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ReassignFaceNode

ConnectionFinderBuilder.ReassignFaceNode

Reassign the faces from the Reassign Face collector to the specified node.

Signature ReassignFaceNode(ownerTag, nodeTag)

Parameters:
  • ownerTag (NXOpen.NXObject) – Weld Feature Set or Feature Point.
  • nodeTag (NXOpen.NXObject) – Face, or collector, identify which faces to modify in set or point.

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ReorderAfterEdgeNode

ConnectionFinderBuilder.ReorderAfterEdgeNode

Reorders a selected edge by putting it after the specified edge.

Indices start at 0 for the 1st element.

Signature ReorderAfterEdgeNode(parentTag, edgeSetIndexToMove, edgeSetIndexToReoderAfter)

Parameters:
  • parentTag (NXOpen.NXObject) – Parent Weld Feature.
  • edgeSetIndexToMove (int) – Index of the edge set to reorder
  • edgeSetIndexToReoderAfter (int) – Index of the edge set to reposition after

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ReorderAfterFaceNode

ConnectionFinderBuilder.ReorderAfterFaceNode

Reorders a selected face by putting it after the specified face.

Indices start at 0 for the 1st element.

Signature ReorderAfterFaceNode(parentTag, faceSetIndexToMove, faceSetIndexToReoderAfter)

Parameters:
  • parentTag (NXOpen.NXObject) – Parent Weld Feature.
  • faceSetIndexToMove (int) – Index of the face set to reorder
  • faceSetIndexToReoderAfter (int) – Index of the face set to reposition after

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ReorderBeforeEdgeNode

ConnectionFinderBuilder.ReorderBeforeEdgeNode

Reorders a selected edge by putting it before the specified edge.

Indices start at 0 for the 1st element.

Signature ReorderBeforeEdgeNode(parentTag, edgeSetIndexToMove, edgeSetIndexToReoderBefore)

Parameters:
  • parentTag (NXOpen.NXObject) – Parent Weld Feature.
  • edgeSetIndexToMove (int) – Index of the edge set to reorder
  • edgeSetIndexToReoderBefore (int) – Index of the edge set to reposition before

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

ReorderBeforeFaceNode

ConnectionFinderBuilder.ReorderBeforeFaceNode

Reorders a selected face by putting it before the specified face.

Indices start at 0 for the 1st element.

Signature ReorderBeforeFaceNode(parentTag, faceSetIndexToMove, faceSetIndexToReoderBefore)

Parameters:
  • parentTag (NXOpen.NXObject) – Parent Weld Feature.
  • faceSetIndexToMove (int) – Index of the face set to reorder
  • faceSetIndexToReoderBefore (int) – Index of the face set to reposition before

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

RequiredFaceNode

ConnectionFinderBuilder.RequiredFaceNode

Identify if the face node is required (true) or optional (false).

This is used in the case where a weld point has been identified as having faces from only 1 connected part.

Signature RequiredFaceNode(nodeTag, isRequired)

Parameters:
  • nodeTag (NXOpen.NXObject) – Weld face identifier. Typically, this will be the tag for the collector.
  • isRequired (bool) – Is the face node required (true) or optional (false)?

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

SaveAllTree

ConnectionFinderBuilder.SaveAllTree

Identify all the connected part information as “saved” so the commit will save the information.

Dependent on value of NXOpen.Weld.ConnectionFinderBuilderFilterTypes. Will not mark nodes identified in failure condition.

Signature SaveAllTree()

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

SaveNode

ConnectionFinderBuilder.SaveNode

Identify the connected part information as “saved” so commit will save the information.

Signature SaveNode(nodeTag)

Parameters:nodeTag (NXOpen.NXObject) – Weld Feature.

New in version NX9.0.0.

License requirements: ugweld (“UG WELD”)

Validate

ConnectionFinderBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.